Searches Inventories by parameters
Searches Inventories by parameters
Query Parameters
Sales Channel Id or Collection of Sales Channel Ids (comma separated)
Example: 14,3,312
Product SKU or Collection of Product SKUs (comma separated)
Example: sku1,sku2,sku3
Outlet Id or Collection of Outlet Ids (comma separated)
Example: 1,2,3
Product Id or Collection of Product Ids (comma separated)
Example: 1,2,3
Modified since search parameter
Order by.
Available field name values: modified_on, allocated, available, stock_on_hand, faulty, on_order, picked, received, requested,
transit_in, transit_out, last_sold_on, last_fulfiled_on, msl
Available direction values: asc, desc.
Example: modified_on asc, allocated desc, msl asc
Filter by.
Available field name values: modified_on, allocated, available, stock_on_hand, faulty, on_order, picked, received, requested,
transit_in, transit_out, last_sold_on, last_fulfiled_on, sales_channel_id, outlet_id, product_id, sku, msl
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: product_id:eq:2, last_sold_on:isnotnull, stock_on_hand:gte:0, msl:gte:100
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Inventories data
Inventory.PagingResponse
Inventory view model
Show Child Parameters
Query Parameters
Headers
inventorymovementlogs
Gets specific Inventory Movement Log by unique id
Gets specific Inventory Movement Log by unique id
Path Parameters
Inventory Movement Log id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Inventory Movement Log
InventoryMovementLogs
Inventory Movement Logs model
Inventory Movement Logs identifier
Created on
Show Child Parameters
Show Child Parameters
Inventory Movement Logs model
Show Child Parameters
Source type
Origin
Comment
Reference id
Inventory Movement Logs Delta model
Show Child Parameters
Inventory Movement Logs Delta model
Show Child Parameters
Inventory Movement Logs Delta model
Show Child Parameters
Inventory Movement Logs Delta model
Show Child Parameters
Inventory Movement Logs Delta model
Show Child Parameters
Inventory Movement Logs Delta model
Show Child Parameters
Inventory Movement Logs Delta model
Show Child Parameters
Inventory Movement Logs Delta model
Show Child Parameters
Inventory Movement Logs Delta model
Show Child Parameters
Inventory Movement Logs Delta model
Show Child Parameters
Inventory Movement Logs Delta model
Show Child Parameters
Inventory Movement Logs Change model
Show Child Parameters
Inventory Movement Logs Change model
Show Child Parameters
Inventory Movement Logs Change model
Show Child Parameters
Inventory Movement Logs Change model
Show Child Parameters
Path Parameters
Headers
Searches Inventory Movement Logs
Searches Inventory Movement Logs
Query Parameters
Product Look-Up code (PLU) It can be Product Id, Supplier SKU, Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. If specified, product_id, product_supplier_sku, product_short_description, product_type_name, supplier_id filters are ignored.
Reference Id or Collection of Reference Ids (comma separated). If specified, plu, product_id, product_supplier_sku, product_short_description filters are ignored. movement_types is optional and can only contain single value.
Example: 1,5,7,23-00000001
Movement Type or Collection of Movement Types (comma separated).
Example: PO,Invoice
Filter by.
Available field name values: id, created_on, outlet_id, outlet_name, country_id, store_type_id, product_id, product_supplier_sku, product_short_description, product_type_name, supplier_id, supplier_code, supplier_name, origin, comment, quantity_available_before, quantity_available_delta, quantity_available_after, quantity_allocated_before, quantity_allocated_delta, quantity_allocated_after, quantity_picked_before, quantity_picked_delta, quantity_picked_after, quantity_in_transit_outbound_before, quantity_in_transit_outbound_delta, quantity_in_transit_outbound_after, quantity_in_transit_inbound_before, quantity_in_transit_inbound_delta, quantity_in_transit_inbound_after, quantity_received_before, quantity_received_delta, quantity_received_after, quantity_requested_before, quantity_requested_delta, quantity_requested_after, quantity_onorder_before, quantity_onorder_delta, quantity_onorder_after, quantity_faulty_before, quantity_faulty_delta, quantity_faulty_after, quantity_onreturn_before, quantity_onreturn_delta, quantity_onreturn_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, cogs_ex_before, cogs_ex_change, cogs_ex_after, quantity_soh_before, quantity_soh_delta, quantity_soh_after, total_cogs_ex_before, total_cogs_ex_change, total_cogs_ex_after.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,product_id:in:124001|124002
Order by.
Available field name values: id, created_on, outlet_name, product_id, product_supplier_sku, product_short_description, product_type_name, movement_type, supplier_code, supplier_name, origin, comment, reference_id, quantity_available_before, quantity_available_delta, quantity_available_after, quantity_allocated_before, quantity_allocated_delta, quantity_allocated_after, quantity_picked_before, quantity_picked_delta, quantity_picked_after, quantity_in_transit_outbound_before, quantity_in_transit_outbound_delta, quantity_in_transit_outbound_after, quantity_in_transit_inbound_before, quantity_in_transit_inbound_delta, quantity_in_transit_inbound_after, quantity_received_before, quantity_received_delta, quantity_received_after, quantity_requested_before, quantity_requested_delta, quantity_requested_after, quantity_onorder_before, quantity_onorder_delta, quantity_onorder_after, quantity_faulty_before, quantity_faulty_delta, quantity_faulty_after, quantity_onreturn_before, quantity_onreturn_delta, quantity_onreturn_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, cogs_ex_before, cogs_ex_change, cogs_ex_after, quantity_soh_before, quantity_soh_delta, quantity_soh_after, total_cogs_ex_before, total_cogs_ex_change, total_cogs_ex_after.
Available direction values: asc, desc.
Example: id asc, created_on desc
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Inventory Movement Logs data
InventoryMovementLogs.PagingResponse
Inventory Movement Logs model